com.impinj.stp

## Interface StpApi.GPIConfigOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    StpApi.GPIConfig, StpApi.GPIConfig.Builder
  Enclosing class:
    StpApi

      public static interface StpApi.GPIConfigOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `StpApi.GPIOPolarity` | `getGPI1Polarity()`
    `StpApi.GPIOPolarity` | `getGPI2Polarity()`
    `StpApi.GPIOPolarity` | `getGPI3Polarity()` The time to ignore changes in the input signal to eliminate spurious triggers.
    `StpApi.GPIOSignalMode` | `getSignalingMode()`
    `boolean` | `hasGPI1Polarity()`
    `boolean` | `hasGPI2Polarity()`
    `boolean` | `hasGPI3Polarity()` The time to ignore changes in the input signal to eliminate spurious triggers.
    `boolean` | `hasSignalingMode()`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasSignalingMode

          boolean hasSignalingMode()

    - #### getSignalingMode

          StpApi.GPIOSignalMode getSignalingMode()

    - #### hasGPI1Polarity

          boolean hasGPI1Polarity()

    - #### getGPI1Polarity

          StpApi.GPIOPolarity getGPI1Polarity()

    - #### hasGPI2Polarity

          boolean hasGPI2Polarity()

    - #### getGPI2Polarity

          StpApi.GPIOPolarity getGPI2Polarity()

    - #### hasGPI3Polarity

          boolean hasGPI3Polarity()

      The time to ignore changes in the input signal to eliminate spurious triggers. In milliseconds.

    - #### getGPI3Polarity

          StpApi.GPIOPolarity getGPI3Polarity()

      The time to ignore changes in the input signal to eliminate spurious triggers. In milliseconds.